#include "seaio.h"
class DigitalIoDevice {
public:
	DigitalIoDevice(unsigned short int deviceNumber = 0);
	int openRelay(unsigned short int relayNumber);
	int closeRelay(unsigned short int relayNumber);
	int readPort(unsigned char portNumber, unsigned char &value);
	int writePort(unsigned char portNumber, unsigned char value);
	int readRelative(unsigned char portNumber, unsigned char &value);
	int readAllInputs(unsigned char * buffer, unsigned long &bufferLength);
	int writeRelative(unsigned char portNumber, unsigned char value);
	int setState(ADAPTER_STATE &adapterState);
	int getState(ADAPTER_STATE &adapterState);
	int getInfo(ADAPTER_INFO &adapterInfo);
	int open(unsigned short int deviceNumber = 0);
	int close();
	int getHandle();

// public data members
	int m_openStatus;

private:
	int m_deviceHandle;
};
